Bug 116272 - FILESAVE: Bullet images lost after RT
Summary: FILESAVE: Bullet images lost after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: imageHandling-regressions
  Show dependency treegraph
 
Reported: 2018-03-07 15:31 UTC by Xisco Faulí
Modified: 2018-05-28 09:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (149.50 KB, application/vnd.ms-powerpoint)
2018-03-07 15:31 UTC, Xisco Faulí
Details
sample file 2 (89.09 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-03-07 15:57 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-03-07 15:31:44 UTC
Created attachment 140439 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save it as .PPT
3. Open the new created file

Observed behaviour: Star bullets are lost

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 16605d0cdc2c15ab4ae175531ba52824bf52bc70
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-03-07 15:33:14 UTC
Regression introduced by:

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2018-02-17 18:10:11 +0900
committer	Tomaž Vajngerl <quikee@gmail.com>	2018-02-18 11:48:13 +0100
commit	7273bb3534264867e818c13baffcdf3862189cd2 (patch)
tree	88a90410fe4afa9f487d8854b898fbb6733c3ad7
parent	82ab7a1559170889c5647a04dc3e85edc38a4e0f (diff)
in numbering use "GraphicBitmap" property for image transport

Bisected with: bibisect-linux64-6.1

Adding Cc: to Tomaž Vajngerl
Comment 2 Xisco Faulí 2018-03-07 15:57:51 UTC
Created attachment 140444 [details]
sample file 2

Another file affected by the same regression
Comment 3 Xisco Faulí 2018-03-20 12:30:11 UTC
Still reproducible in

Version: 6.1.0.0.alpha0+
Build ID: 0f0a80123d970ef6f3f8269619813e5277fff4df
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 4 Xisco Faulí 2018-05-08 14:45:29 UTC
Still reproducible in

Version: 6.1.0.0.alpha1+
Build ID: 1e2afc9bd3062cfba6b65b45c17a08f298014239
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 5 Commit Notification 2018-05-09 00:03:55 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=711c2e49dd3c51877263148267344e2eb4ca7c0d

tdf#116272 use correct property name when exporting to PPT

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-05-28 09:57:32 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded